## org.apache.mahout.math.function
Class SquareRootFunction

    java.lang.Object
      org.apache.mahout.math.function.SquareRootFunction

All Implemented Interfaces:
  org.apache.mahout.math.function.DoubleFunction, UnaryFunction

    public class SquareRootFunction

extends java.lang.Object
implements UnaryFunction

Constructor Summary
`SquareRootFunction()`

Method Summary
`double` `apply(double arg1)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SquareRootFunction

    public SquareRootFunction()

Method Detail

### apply

    public double apply(double arg1)

  Specified by:
    `apply` in interface `org.apache.mahout.math.function.DoubleFunction`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.